{
  "name": "shared-types",
  "$schema": "../node_modules/nx/schemas/project-schema.json",
  "sourceRoot": "shared-types/src",
  "projectType": "library",
  "tags": [],
  "// targets": "to see all targets run: nx show project shared-types --web",
  "targets": {
    "lint": {
      "executor": "@nx/eslint:lint",
      "options": {
        "lintFilePatterns": ["shared-types/**/*.ts"]
      }
    },
    "test": {
      "executor": "@nx/jest:jest",
      "options": {
        "jestConfig": "shared-types/jest.config.ts",
        "passWithNoTests": true
      },
      "outputs": ["{workspaceRoot}/coverage/{projectRoot}"]
    }
  }
}
